:root {
    --headerHeight: 120px;
    --sidebarWidth: 300px;
}

.tiki-sidebar {
    position: fixed;
    z-index: 2;
    height: 100%;
    display: flex;
    flex-direction: column;
    width: var(--sidebarWidth);
    transition: width .2s ease-in-out;

    background-color: var(--cds-color-background-default);
    border-right: 1px dotted var(--cds-color-border-default);
    color: var(--cds-color-text-default);
    //background: linear-gradient(to right, var(--cds-color-background-default), var(--cds-color-background-soft));

    &__logo {
        min-height: var(--headerHeight);
        display: flex;
        align-items: center;
        overflow: hidden;
        padding: 8px;
        justify-content: center;
    }

    &__navigation {
        flex: 1;
        display: flex;
        flex-direction: column;
        padding-block: 8px;
        //overflow-y: auto;
        //overflow-x: hidden;
    }

    &__bottom {
        // overflow-y: auto;
        //     overflow-x: hidden;
        width: inherit;
        padding-block: 8px;
    }
}

.tiki-content {
    z-index: 0;
    position: absolute;
    left: var(--sidebarWidth);
    width: calc(100% - var(--sidebarWidth));
    box-sizing: border-box;
    transition: left .2s ease-in-out;
    padding-inline: 16px;
    display: flex;
    flex-direction: column;
    background-color: var(--cds-color-background-default);

    &__header {
        min-height: var(--headerHeight);
        display: flex;
        flex-direction: column;
        border-bottom: 1px solid var(--cds-color-border-default);
        justify-content: center;
        align-items: flex-start;
        background-color: var(--cds-color-background-default);
    }

    &__main {
        flex: 1;
        overflow-y: inherit;
        padding-block: 16px;
        background-color: var(--cds-color-background-default);
    }

    &__footer {
        height: 40px;
        display: flex;
        align-items: center;
        justify-content: flex-end;
        border-top: 1px solid var(--cds-color-border-default);
        background-color: var(--cds-color-background-default);
    }
}

.expanded-sidebar {
    --sidebarWidth: 300px;
}

.collapsed-sidebar {
    --sidebarWidth: 64px;
}

.collapsed2-sidebar {
    --sidebarWidth: 64px;
}

.hidden-sidebar {
    .tiki-sidebar {
        background: linear-gradient(to right, var(--cds-color-background-default), var(--cds-color-background-soft));
        //border-right: 1px solid var(--cds-color-border-default);
        width: 8px;
        overflow: hidden;

        &:hover {
            width: var(--sidebarWidth);
            overflow: visible;
        }
    }

    .tiki-content {
        left: 8px;
        width: calc(100% - 8px);
    }
}

.fixed-header {
    .tiki-content__header {
        position: sticky;
        top: 0;
    }
}

.fixed-footer {
    .tiki-content__footer {
        position: sticky;
        bottom: 0;
    }
}

.min-header {
    --headerHeight: 64px;

    .tiki-content__header {
        flex-direction: row;
        align-items: center;
    }
}